pandoc-2.17.1.1: Conversion between markup formats

Copyright | Copyright (C) 2021-2022 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Custom

Description

Supports custom parsers written in Lua which produce a Pandoc AST.

Synopsis

- readCustom :: (PandocMonad m, MonadIO m, ToSources s) => FilePath -> ReaderOptions -> s -> m Pandoc

# Documentation

readCustom :: (PandocMonad m, MonadIO m, ToSources s) => FilePath -> ReaderOptions -> s -> m Pandoc #

Convert custom markup to Pandoc.